# studio::Renderer_Timecode Class Reference

`#include <renderer_timecode.h>`

Inheritance diagram for studio::Renderer_Timecode:

List of all members.

## Public Member Functions

| ~Renderer_Timecode ()
synfig::Vector | get_grid_size () const
void | render_vfunc (const Glib::RefPtr< Gdk::Drawable > &drawable, const Gdk::Rectangle &expose_area)

## Protected Member Functions

bool | get_enabled_vfunc () const

## Constructor & Destructor Documentation

Renderer_Timecode::~Renderer_Timecode | ( |  | ) |

## Member Function Documentation

synfig::Vector Renderer_Timecode::get_grid_size | ( |  | ) | const

References studio::Duckmatic::get_grid_size(), and studio::WorkAreaRenderer::get_work_area().

void Renderer_Timecode::render_vfunc | ( | const Glib::RefPtr< Gdk::Drawable > & | drawable,
|  | const Gdk::Rectangle & | expose_area |
| ) |  |  | `[virtual]`

Reimplemented from studio::WorkAreaRenderer.

References synfigapp::Action::create(), studio::WorkAreaRenderer::get_work_area(), studio::WorkArea::timecode_height, and studio::WorkArea::timecode_width.

bool Renderer_Timecode::get_enabled_vfunc | ( |  | ) | const`[protected, virtual]`

Reimplemented from studio::WorkAreaRenderer.

References studio::WorkAreaRenderer::get_work_area().

The documentation for this class was generated from the following files:

- renderer_timecode.h
- renderer_timecode.cpp